import { AbstractActionHandler } from "./AbstractActionHandler";
import { AbstractActionReader } from "./AbstractActionReader";
/**
 * Cooredinates implementations of `AbstractActionReader`s and `AbstractActionHandler`s in
 * a polling loop.
 */
export declare class BaseActionWatcher {
    protected actionReader: AbstractActionReader;
    protected actionHandler: AbstractActionHandler;
    protected pollInterval: number;
    constructor(actionReader: AbstractActionReader, actionHandler: AbstractActionHandler, pollInterval: number);
    /**
     * Starts a polling loop running in replay mode.
     */
    replay(): Promise<void>;
    /**
     * Uses the given actionReader and actionHandler to poll and process new blocks.
     */
    protected watch(): Promise<void>;
}
